legacy/ittnotify.h File Reference

Legacy User API functions and types. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | __itt_thr_name_set __itt_thr_name_setA
#define | __itt_thr_name_set_ptr __itt_thr_name_setA_ptr
#define | __itt_attr_barrier 1
| possible value of attribute argument for sync object type More...
#define | __itt_attr_mutex 2
| possible value of attribute argument for sync object type More...
#define | __itt_sync_set_name __itt_sync_set_nameA
#define | __itt_sync_set_name_ptr __itt_sync_set_nameA_ptr
#define | __itt_notify_sync_name __itt_notify_sync_nameA
#define | __itt_event_create __itt_event_createA
#define | __itt_event_create_ptr __itt_event_createA_ptr
#define | __itt_frame_create __itt_frame_createA
#define | __itt_frame_create_ptr __itt_frame_createA_ptr

## Typedefs

typedef int | __itt_event
| user event type More...
typedef int | __itt_state_t
| state type More...
typedef struct __itt_frame_t * | __itt_frame
| opaque structure for frame identification More...

## Functions

void ITTAPI | __itt_pause (void)
| Pause collection. More...
void ITTAPI | __itt_resume (void)
| Resume collection. More...
void ITTAPI | __itt_detach (void)
| Detach collection. More...
int LIBITTAPI | __itt_thr_name_setA (const char *name, int namelen)
| Set name to be associated with thread in analysis GUI. More...
int LIBITTAPI | __itt_thr_name_setW (const wchar_t *name, int namelen)
void LIBITTAPI | __itt_thr_ignore (void)
| Mark current thread as ignored from this point on, for the duration of its existence. More...
void ITTAPI | __itt_sync_set_nameA (void *addr, const char *objtype, const char *objname, int attribute)
| Assign a name to a sync object using char or Unicode string. More...
void ITTAPI | __itt_sync_set_nameW (void *addr, const wchar_t *objtype, const wchar_t *objname, int attribute)
int LIBITTAPI | __itt_notify_sync_nameA (void *addr, const char *objtype, int typelen, const char *objname, int namelen, int attribute)
| Assign a name and type to a sync object using char or Unicode string. More...
int LIBITTAPI | __itt_notify_sync_nameW (void *addr, const wchar_t *objtype, int typelen, const wchar_t *objname, int namelen, int attribute)
void LIBITTAPI | __itt_notify_sync_prepare (void *addr)
| Enter spin loop on user-defined sync object. More...
void LIBITTAPI | __itt_notify_sync_cancel (void *addr)
| Quit spin loop without acquiring spin object. More...
void LIBITTAPI | __itt_notify_sync_acquired (void *addr)
| Successful spin loop completion (sync object acquired) More...
void LIBITTAPI | __itt_notify_sync_releasing (void *addr)
| Start sync object releasing code. Is called before the lock release call. More...
__itt_event LIBITTAPI | __itt_event_createA (const char *name, int namelen)
| Create an event notification. More...
__itt_event LIBITTAPI | __itt_event_createW (const wchar_t *name, int namelen)
int LIBITTAPI | __itt_event_start (__itt_event event)
| Record an event occurrence. More...
int LIBITTAPI | __itt_event_end (__itt_event event)
| Record an event end occurrence. More...
void LIBITTAPI | __itt_memory_read (void *addr, size_t size)
| Inform the tool of memory accesses on reading. More...
void LIBITTAPI | __itt_memory_write (void *addr, size_t size)
| Inform the tool of memory accesses on writing. More...
void LIBITTAPI | __itt_memory_update (void *address, size_t size)
| Inform the tool of memory accesses on updating. More...
__itt_state_t LIBITTAPI | __itt_state_get (void)
| managing thread and object states More...
__itt_state_t LIBITTAPI | __itt_state_set (__itt_state_t s)
| managing thread and object states More...
__itt_thr_state_t LIBITTAPI | __itt_thr_mode_set (__itt_thr_prop_t p, __itt_thr_state_t s)
| managing thread and object modes More...
__itt_obj_state_t LIBITTAPI | __itt_obj_mode_set (__itt_obj_prop_t p, __itt_obj_state_t s)
| managing thread and object modes More...
__itt_frame ITTAPI | __itt_frame_createA (const char *domain)
| Create a global frame with given domain. More...
__itt_frame ITTAPI | __itt_frame_createW (const wchar_t *domain)
void ITTAPI | __itt_frame_begin (__itt_frame frame)
| Record an frame begin occurrence. More...
void ITTAPI | __itt_frame_end (__itt_frame frame)
| Record an frame end occurrence. More...

## Detailed Description

Legacy User API functions and types.

Definition in file legacy/ittnotify.h.

## Typedef Documentation

## __itt_state_t

typedef int __itt_state_t

state type

Definition at line 788 of file legacy/ittnotify.h.

## Function Documentation

## __itt_memory_read()

void LIBITTAPI __itt_memory_read | ( | void * | addr,
|  | size_t | size
| ) |  |

Inform the tool of memory accesses on reading.

Deprecated:
  Legacy API

## __itt_memory_update()

void LIBITTAPI __itt_memory_update | ( | void * | address,
|  | size_t | size
| ) |  |

Inform the tool of memory accesses on updating.

Deprecated:
  Legacy API

## __itt_memory_write()

void LIBITTAPI __itt_memory_write | ( | void * | addr,
|  | size_t | size
| ) |  |

Inform the tool of memory accesses on writing.

Deprecated:
  Legacy API

## __itt_obj_mode_set()

__itt_obj_state_t LIBITTAPI __itt_obj_mode_set | ( | __itt_obj_prop_t | p,
|  | __itt_obj_state_t | s
| ) |  |

managing thread and object modes

Deprecated:
  Legacy API

## __itt_state_get()

__itt_state_t LIBITTAPI __itt_state_get | ( | void |  | ) |

managing thread and object states

Deprecated:
  Legacy API

## __itt_state_set()

__itt_state_t LIBITTAPI __itt_state_set | ( | __itt_state_t | s | ) |

managing thread and object states

Deprecated:
  Legacy API

## __itt_thr_mode_set()

__itt_thr_state_t LIBITTAPI __itt_thr_mode_set | ( | __itt_thr_prop_t | p,
|  | __itt_thr_state_t | s
| ) |  |

managing thread and object modes

Deprecated:
  Legacy API

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.